System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration represents the different directions in which the items of a list control can be displayed.

The number of columns displayed is always determined by the RepeatColumns property of the list control.

specifies that the items of a list control are displayed in rows loaded from left to right, then top to bottom, until all items are rendered. For example, if the RepeatColumns property of the list control is set to three, the items of the list control are displayed in three columns.

1

2

3

4

5

6

7

8

specifies that the items of a list control are displayed in columns loaded from top to bottom, then left to right, until all items are rendered. For example, if the RepeatColumns property of the list control is set to three, the items of the list control are displayed in rows of three items.

1

4

7

2

5

8

3

6

Specifies the direction in which items of a list control are displayed.

- Field
  System.Web.UI.WebControls.RepeatDirection To be added

  Items of a list are displayed horizontally in rows from left to right, then top to bottom, until all items are rendered.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.RepeatDirection To be added

  Items of a list are displayed vertically in columns from top to bottom, and then left to right, until all items are rendered.

  1.0.5000.0
  2.0.0.0